
Packaging - Feature #12671

Move Ubuntu 14.04 Foreman package to Ruby 2.0.0

12/02/2015 11:07 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Debian/Ubuntu   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/908

  

Description

It appears that Ubuntu 14.04 (trusty) ships Ruby 2.0.0 packages which we could use to run Foreman under, instead of the default

1.9.3.

http://packages.ubuntu.com/trusty/ruby/ruby2.0

We could probably replicate what we did in #7227 for 12.04 by adding a foreman-ruby symlink or something.

Related issues:

Blocks Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

Associated revisions

Revision 400b5c51 - 12/04/2015 05:18 PM - Dominic Cleal

fixes #12671 - switch Ubuntu 14.04 to ruby2.0 packages

History

#1 - 12/02/2015 11:07 AM - Dominic Cleal

- Blocks Refactor #8884: Drop Ruby 1.9.3 support added

#2 - 12/03/2015 05:00 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 12/04/2015 05:37 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/908 added

#4 - 12/07/2015 06:41 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 71
